* Exploratory analysis
* -------------------------------------------------------------------------------

use "ReplicationData", clear


* Figure 1: Recipients

 use "Contributions", clear
 duplicates drop trustee fiscalyear calendarfy usdamounthistoric status reportingdonor, force
 destring usdhistoric,
 
 keep if donortype2=="DAC Member Countries"
 preserve
	collapse (count)calendarfy, by(fundcountry) 
      gsort -calendarfy
	edit
	// Copy to Excel (number of contributions)
 restore


* Figure 2: Average participation 

 qui xi:reg isDonor i.ccode, nocon ro cl(tfprogram)
 gen _Iccode_1=ccode==1
 order _Iccode_1, before( _Iccode_2)
 reg isDonor _Iccode_1-_Iccode_24 if mixed==1, noconst ro cl(tfprogram)  

 est store TOTAL
 local ave0=1/24*(_b[_Iccode_1]+_b[_Iccode_2]+_b[_Iccode_3]+_b[_Iccode_4]+_b[_Iccode_5]+_b[_Iccode_6]+_b[_Iccode_7]+_b[_Iccode_8]+_b[_Iccode_9]+_b[_Iccode_10]+_b[_Iccode_11]+_b[_Iccode_12]+_b[_Iccode_13]+_b[_Iccode_14]+_b[_Iccode_15]+_b[_Iccode_16]+_b[_Iccode_17]+_b[_Iccode_18]+_b[_Iccode_19]+_b[_Iccode_20]+_b[_Iccode_21]+_b[_Iccode_22]+_b[_Iccode_23]+_b[_Iccode_24])
 lab var _Iccode_1 "AUS"
 lab var _Iccode_2 "AUT"
 lab var _Iccode_3 "BEL"
 lab var _Iccode_4 "CAN"
 lab var _Iccode_5 "DNK"
 lab var _Iccode_6 "FIN"
 lab var _Iccode_7 "FRA"
 lab var _Iccode_8 "GER"
 lab var _Iccode_9 "GRC"
 lab var _Iccode_10 "IRE"
 lab var _Iccode_11 "ISL"
 lab var _Iccode_12 "ITA"
 lab var _Iccode_13 "JPN"
 lab var _Iccode_14 "KOR"
 lab var _Iccode_15 "LUX"
 lab var _Iccode_16 "NED"
 lab var _Iccode_17 "NZL"
 lab var _Iccode_18 "NOR"
 lab var _Iccode_19 "PRT"
 lab var _Iccode_20 "ESP"
 lab var _Iccode_21 "SWE"
 lab var _Iccode_22 "CHE"
 lab var _Iccode_23 "GBR"
 lab var _Iccode_24 "USA"

 coefplot, xtitle(Predicted probability) xline(`ave0') 


* Figure 3: Size type with real fractions
 g isDonor0=(isDonor==1 & sdtf==1)
 g isDonor1=(isDonor==1 & mdtf4==1)
 g isDonor2=(isDonor==1 & umbr==1)

reg isDonor0 _Iccode_1-_Iccode_24, noconst ro cl(tfprogram)  
local ave0=1/24*(_b[_Iccode_1]+_b[_Iccode_2]+_b[_Iccode_3]+_b[_Iccode_4]+_b[_Iccode_5]+_b[_Iccode_6]+_b[_Iccode_7]+_b[_Iccode_8]+_b[_Iccode_9]+_b[_Iccode_10]+_b[_Iccode_11]+_b[_Iccode_12]+_b[_Iccode_13]+_b[_Iccode_14]+_b[_Iccode_15]+_b[_Iccode_16]+_b[_Iccode_17]+_b[_Iccode_18]+_b[_Iccode_19]+_b[_Iccode_20]+_b[_Iccode_21]+_b[_Iccode_22]+_b[_Iccode_23]+_b[_Iccode_24])
est store SDTF0
reg isDonor1 _Iccode_1-_Iccode_24, noconst ro cl(tfprogram)  
local ave1=1/24*(_b[_Iccode_1]+_b[_Iccode_2]+_b[_Iccode_3]+_b[_Iccode_4]+_b[_Iccode_5]+_b[_Iccode_6]+_b[_Iccode_7]+_b[_Iccode_8]+_b[_Iccode_9]+_b[_Iccode_10]+_b[_Iccode_11]+_b[_Iccode_12]+_b[_Iccode_13]+_b[_Iccode_14]+_b[_Iccode_15]+_b[_Iccode_16]+_b[_Iccode_17]+_b[_Iccode_18]+_b[_Iccode_19]+_b[_Iccode_20]+_b[_Iccode_21]+_b[_Iccode_22]+_b[_Iccode_23]+_b[_Iccode_24])
est store MDTF0
reg isDonor2 _Iccode_1-_Iccode_24, noconst ro cl(tfprogram)  
local ave2=1/24*(_b[_Iccode_1]+_b[_Iccode_2]+_b[_Iccode_3]+_b[_Iccode_4]+_b[_Iccode_5]+_b[_Iccode_6]+_b[_Iccode_7]+_b[_Iccode_8]+_b[_Iccode_9]+_b[_Iccode_10]+_b[_Iccode_11]+_b[_Iccode_12]+_b[_Iccode_13]+_b[_Iccode_14]+_b[_Iccode_15]+_b[_Iccode_16]+_b[_Iccode_17]+_b[_Iccode_18]+_b[_Iccode_19]+_b[_Iccode_20]+_b[_Iccode_21]+_b[_Iccode_22]+_b[_Iccode_23]+_b[_Iccode_24])
est store UMBR0

coefplot SDTF0 MDTF0 UMBR0, xtitle(Predicted probability) xline(`ave0', lcolor(forestgreen)) xline(`ave1', lcolor(navy)) xline(`ave2', lcolor(maroon)) legend(col(3)) scale(0.75)  
